package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 新购SIM卡订单
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceSimOrders对象", description="新购SIM卡订单")
public class DeviceSimOrders implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "商户ID")
    private Long mercId;

    @ApiModelProperty(value = "卡类型")
    private byte[] simType;

    @ApiModelProperty(value = "购买数量")
    private Integer num;

    @ApiModelProperty(value = "金额（卡费+快递费）")
    private Integer money;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "支付方式")
    private Integer payType;

    @ApiModelProperty(value = "快递费金额")
    private Integer moneyExpress;

    @ApiModelProperty(value = "sim卡金额")
    private Integer moneySim;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "第三方支付订单号")
    private String payOrderId;

    @ApiModelProperty(value = "第三方查询订单号")
    private String payQueryOrderId;

    @ApiModelProperty(value = "第三方交易订单号")
    private String payBuyOrderId;

    @ApiModelProperty(value = "支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "快递地址")
    private String address;

    @ApiModelProperty(value = "联系人")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String tel;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;


}
