package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 新购SIM卡订单
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-03
 */
public class DeviceSimOrdersDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "ID")
        private String id;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "卡类型")
        private byte[] simType;

        @ApiModelProperty(value = "购买数量")
        private Integer num;

        @ApiModelProperty(value = "金额（卡费+快递费）")
        private Integer money;

        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "支付方式")
        private Integer payType;

        @ApiModelProperty(value = "快递费金额")
        private Integer moneyExpress;

        @ApiModelProperty(value = "sim卡金额")
        private Integer moneySim;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "第三方支付订单号")
        private String payOrderId;

        @ApiModelProperty(value = "第三方查询订单号")
        private String payQueryOrderId;

        @ApiModelProperty(value = "第三方交易订单号")
        private String payBuyOrderId;

        @ApiModelProperty(value = "支付时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime payTime;

        @ApiModelProperty(value = "快递地址")
        private String address;

        @ApiModelProperty(value = "联系人")
        private String name;

        @ApiModelProperty(value = "联系电话")
        private String tel;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;


    }

}
